
FreeNAS - Bug #29825

Allow middleware to save Cloud Sync setting even if bucket listing failed

03/13/2018 04:55 PM - Jerico Thomas

Status: Done   

Priority: Nice to have   

Assignee: Vladimir Vinogradenko   

Category: Middleware   

Target version: 11.2-BETA2   

Seen in: 11.1-U2 Needs Merging: Yes

Severity: Medium Needs Automation: No

Reason for Closing:  Support Suite Ticket: n/a

Reason for Blocked:  Hardware

Configuration:

 

Needs QA: No ChangeLog

Required:

No

Needs Doc: No   

Description

I'm using the free tier of Blackblaze B2 (10gb) to test out online backup solutions. I found my configuration was uploading too much

during the day. Unfortunately, I can not change FreeNAS' Cloud Sync setting from every hour to one a day because the daily

transaction cap is hit within Backblaze and FreeNAS interprets this as a failed connection.

-----

Risk

Medium, we may break cloud sync add/edit on some way since it involves a lot of javascript

Acceptance Criteria

Once should be able to add/edit clod sync tasks normally. We also should be able to edit a cloud sync task when the credentials fail

(transmission cap, access denied, etc)

Related issues:

Related to FreeNAS - Bug #36783: Allow saving cloud sync in new UI even if bu... Done

Associated revisions

Revision 9e9a9074 - 07/05/2018 01:45 PM - Vladimir Vinogradenko

fix(oldgui): Allow saving cloud sync even if bucket listing failed

Ticket: #29825

Revision d650b6e1 - 07/05/2018 01:57 PM - Vladimir Vinogradenko

fix(oldgui): Allow saving cloud sync even if bucket listing failed

Ticket: #29825

Revision 22708ba0 - 07/25/2018 11:36 AM - Vladimir Vinogradenko

fix(oldgui): Allow saving cloud sync even if bucket listing failed

Ticket: #29825

History
#1 - 03/13/2018 05:52 PM - Jerico Thomas

- File Cap Limit Error.PNG added

#2 - 03/14/2018 06:18 AM - Dru Lavigne

- Assignee changed from Release Council to Vladimir Vinogradenko

- Target version set to 11.3

#3 - 04/09/2018 07:56 AM - Vladimir Vinogradenko

- Status changed from Unscreened to Screened

- Priority changed from No priority to Nice to have

#4 - 04/12/2018 07:54 AM - Vladimir Vinogradenko

- Severity set to Medium

#5 - 04/27/2018 11:39 AM - Ben Gadd

- Target version changed from 11.3 to Backlog

#6 - 06/25/2018 09:20 AM - William Grzybowski

- Target version changed from Backlog to 11.3

Vladimir, what is your opinion on this?

Not sure there is anything we can do here? Perhaps allow editing without validating the credentials if nothing changed?

#7 - 06/25/2018 09:26 AM - Vladimir Vinogradenko

We are not validating credentials but we are failing to retrieve bucket list and do not allow submitting form if bucket list was not retrieved. This can be

fixed easily.

#8 - 07/05/2018 01:57 PM - Vladimir Vinogradenko

- Status changed from Screened to In Progress

#9 - 07/05/2018 01:57 PM - Vladimir Vinogradenko

- Status changed from In Progress to Ready for Testing

PR: https://github.com/freenas/freenas/pull/1486

#11 - 07/05/2018 02:09 PM - Vladimir Vinogradenko

- Related to Bug #36783: Allow saving cloud sync in new UI even if bucket listing failed added

#12 - 07/25/2018 11:30 AM - Dru Lavigne

- Status changed from Ready for Testing to In Progress

- Target version changed from 11.3 to 11.2-BETA2

#13 - 07/25/2018 11:37 AM - William Grzybowski

- Status changed from In Progress to Ready for Testing

#14 - 07/25/2018 11:41 AM - William Grzybowski

- Description updated
#16 - 07/25/2018 11:43 AM - Dru Lavigne

Master PR: https://github.com/freenas/freenas/pull/1487

#17 - 07/25/2018 11:45 AM - Dru Lavigne

- Subject changed from Unable to change Cloud sync setting is Trans cap is maxed to Allow Cloud Sync setting to be saved even if bucket listing

failed

- Needs Doc changed from Yes to No

#20 - 07/27/2018 07:23 AM - Dru Lavigne

- Subject changed from Allow Cloud Sync setting to be saved even if bucket listing failed to Allow middleware to save Cloud Sync setting even if

bucket listing failed

#21 - 07/27/2018 07:41 AM - Bonnie Follweiler

- Status changed from Failed Testing to Passed Testing

- Needs QA changed from Yes to No

I've marked this Test Passed after a discussion with Vladimir

#22 - 07/27/2018 07:44 AM - Dru Lavigne

- Status changed from Passed Testing to Done

Files

Cap Limit Error.PNG 13.1 KB 03/14/2018 Jerico Thomas

Screen Shot 2018-07-27 at 9.50.37 AM.png 78.3 KB 07/27/2018 Bonnie Follweiler
